> For the complete documentation index, see [llms.txt](https://docs.rierino.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rierino.com/devops/api-event-and-process-flows/configuring-saga-steps/event-step/core-actions/parse-html.md).

# Parse Html

## Parse Html Actions

### ParseHtml

Produces JSON from given input html text or page url. Event metadata fields applicable for this action are as follows:

{% tabs %}
{% tab title="Table" %}

| Field          | Definition                                                                                       | Example | Default |
| -------------- | ------------------------------------------------------------------------------------------------ | ------- | ------- |
| Input Element  | Json path for the input in request event payload (should include "html" or "url" field)          | content | -       |
| Output Element | Json path for the output in response event payload (includes "elements" as the list of children) | parsed  | -       |
| {% endtab %}   |                                                                                                  |         |         |

{% tab title="JSON Schema" %}

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "eventMeta": {
      "type": "object",
      "properties": {
        "inputElement": {
          "type": "string",
          "description": "Json path for the input in request event payload (should include \"html\" or \"url\" field)",
          "example": "content"
        },
        "outputElement": {
          "type": "string",
          "description": "Json path for the output in response event payload (includes \"elements\" as the list of children)",
          "example": "parsed"
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}

With event metadata parameters as:

{% tabs %}
{% tab title="Table" %}

| Parameter    | Definition                                            | Example   | Default |
| ------------ | ----------------------------------------------------- | --------- | ------- |
| XPath        | XPath expression to select elements from document     | -         | -       |
| CSS Query    | CSS query expression to select elements from document | #products | -       |
| {% endtab %} |                                                       |           |         |

{% tab title="JSON Schema" %}

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "eventMeta": {
      "type": "object",
      "properties": {
        "parameters": {
          "type": "object",
          "properties": {
            "xpath": {
              "type": "string",
              "description": "XPath expression to select elements from document"
            },
            "cssQuery": {
              "type": "string",
              "description": "CSS query expression to select elements from document",
              "example": "#products"
            }
          }
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rierino.com/devops/api-event-and-process-flows/configuring-saga-steps/event-step/core-actions/parse-html.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
